commit:     cfb023de91329d6da56adb95f4968524043e042d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri May 23 15:31:58 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 23 16:04:06 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfb023de

net-news/rssguard: Bump to 4.8.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-news/rssguard/Manifest              |  1 +
 net-news/rssguard/rssguard-4.8.4.ebuild | 66 +++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/net-news/rssguard/Manifest b/net-news/rssguard/Manifest
index 0f58da999e4f..9fc956be8533 100644
--- a/net-news/rssguard/Manifest
+++ b/net-news/rssguard/Manifest
@@ -1 +1,2 @@
 DIST rssguard-4.8.3.gh.tar.gz 23852394 BLAKE2B 
43817a3042fc6991cc7638cd977f11aff08a827f858a2a21aaa621bd4a59bc6c8844f36ec3962999248da717fce68fab3ead79b45c694a3495be2a5f94e1f205
 SHA512 
32cb42c3998c3c9d26e20f7c5194357224368f0c0af2500584b4aa82106660258681bac63c21a99f82ed80678085e5a3b62ac844f03dd28e8c3dd34525c7d252
+DIST rssguard-4.8.4.gh.tar.gz 24048528 BLAKE2B 
feca5e57bf654a4fe6d301d63e8817a64f0c3eea2ceaf2dcdd390c2cac10f289630bb69983d9e30323c5c13f685e46c3f5746528b42fb805d5ccf18b44ece206
 SHA512 
f9a6cdc8855af9615a05479a2711ddbba62499b89b86b85a7aa3fdc895303f70b78dce0b5a863ef27d280e291913cfb4eccd2acbe269ca222617a822ae2756e7

diff --git a/net-news/rssguard/rssguard-4.8.4.ebuild 
b/net-news/rssguard/rssguard-4.8.4.ebuild
new file mode 100644
index 000000000000..f4b49c7126c5
--- /dev/null
+++ b/net-news/rssguard/rssguard-4.8.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake optfeature xdg
+
+DESCRIPTION="Simple (yet powerful) news feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard/";
+SRC_URI="
+       https://github.com/martinrotter/rssguard/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( LGPL-3 GPL-2+ ) AGPL-3+ BSD GPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="libmpv mysql qtmultimedia +sqlite webengine"
+REQUIRED_USE="
+       || ( mysql sqlite )
+       ?? ( libmpv qtmultimedia )
+"
+
+BDEPEND="
+       dev-qt/qttools:6[linguist]
+"
+DEPEND="
+       
dev-qt/qtbase:6[concurrent,dbus,gui,mysql?,network,sql,sqlite?,ssl,widgets]
+       dev-qt/qtdeclarative:6
+       dev-qt/qtmultimedia:6[gstreamer]
+       dev-qt/qt5compat:6
+       media-libs/libglvnd
+       sys-libs/zlib:=
+       libmpv? (
+               dev-qt/qtbase:6[opengl]
+               media-video/mpv:=
+       )
+       qtmultimedia? (
+               dev-qt/qtbase:6[opengl]
+               dev-qt/qtmultimedia:6
+       )
+       webengine? ( dev-qt/qtwebengine:6[widgets(+)] )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_WITH_QT6=ON
+               -DNO_LITE=$(usex webengine)
+               -DREVISION_FROM_GIT=OFF
+               -DNO_UPDATE_CHECK=ON
+               -DENABLE_COMPRESSED_SITEMAP=ON
+               -DENABLE_MEDIAPLAYER_QTMULTIMEDIA=$(usex qtmultimedia)
+               -DENABLE_MEDIAPLAYER_LIBMPV=$(usex libmpv)
+               # recommended
+               -DMEDIAPLAYER_FORCE_OPENGL=ON
+       )
+
+       cmake_src_configure
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       optfeature "ad blocking functionality" "net-libs/nodejs[npm]"
+}

Reply via email to